Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class JcrRepository.VersionHistoryOption

    java.lang.Object
      org.modeshape.jcr.JcrRepository.VersionHistoryOption

Enclosing class:
  JcrRepository

    public static class JcrRepository.VersionHistoryOption

extends Object

The possible values for the `JcrRepository.Option.VERSION_HISTORY_STRUCTURE` option.

Field Summary
`static String` | `FLAT` The value that signals that all "`nt:versionHistory`" nodes with a name matching the UUID of the versioned node are stored directly under the `/jcr:system/jcr:versionStorage` node.
`static String` | `HIERARCHICAL` The value that signals that all "`nt:versionHistory`" nodes be stored under a 4-tier hiearchical structure created by the first 8 characters of the UUID string broken into 2-character pairs.

Constructor Summary
`JcrRepository.VersionHistoryOption()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAT

    public static final String FLAT

  The value that signals that all "`nt:versionHistory`" nodes with a name matching the UUID of the versioned node are stored directly under the `/jcr:system/jcr:versionStorage` node. For example, given a " `mix:versionable`" node with the UUID `fae2b929-c5ef-4ce5-9fa1-514779ca0ae3`, the corresponding " `nt:versionHistory`" node will be at `/jcr:system/jcr:versionStorage/fae2b929-c5ef-4ce5-9fa1-514779ca0ae3`.

  See Also:
    Constant Field Values

### HIERARCHICAL

    public static final String HIERARCHICAL

  The value that signals that all "`nt:versionHistory`" nodes be stored under a 4-tier hiearchical structure created by the first 8 characters of the UUID string broken into 2-character pairs. For example, given a " `mix:versionable`" node with the UUID `fae2b929-c5ef-4ce5-9fa1-514779ca0ae3`, the corresponding " `nt:versionHistory`" node will be at `/jcr:system/jcr:versionStorage/fa/e2/b9/29/c5ef-4ce5-9fa1-514779ca0ae3`.

  See Also:
    Constant Field Values

Constructor Detail

### JcrRepository.VersionHistoryOption

    public JcrRepository.VersionHistoryOption()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.